commit:     2ee6e2d65e509ccb0512e541821892ccf5899820
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 29 05:33:53 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 29 05:33:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ee6e2d6

media-libs/glycin-loaders: Bump to 2.0_rc

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 media-libs/glycin-loaders/Manifest                 |   3 +
 .../glycin-loaders/glycin-loaders-2.0_rc.ebuild    | 109 +++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/media-libs/glycin-loaders/Manifest 
b/media-libs/glycin-loaders/Manifest
index cda34b6b19d2..d57c97c3f0d8 100644
--- a/media-libs/glycin-loaders/Manifest
+++ b/media-libs/glycin-loaders/Manifest
@@ -1,4 +1,7 @@
 DIST glycin-1.2.3.tar.xz 37162464 BLAKE2B 
b850cdf099b1a5d8e42f0ac0877b2e790bcfb66dbe156be7a7bcdc3a17b40e1a9c0f55ee26716a0485708686f558f005759673a2fa6c564c8de5c6534f748fa2
 SHA512 
5d2c81c2cad2d7c54e628c0cddd80aa463ed017bb8e117d713b92cf224975ffe4377fb7bf8c28e68dfbbdc5834638d8ea7fa744d8877ed45b7d07215d11c4761
 DIST glycin-2.0.beta.3-crates.tar.xz 26451424 BLAKE2B 
577670f16d4aab1a5e4b991f8763d5e0536db420be6b69138e98de85ab32c8f42ca189a0d03c56385f726ac39163030463897f960aa89e6297b7495509ec7970
 SHA512 
b9bc1e85952afd7d5c739083fb416ae62d12f463f9de2385a6d2dedf161e3dc7b15c05bfd091af5161b6dc64209e6ae76b99124ef7be0059b9a4f5b638eb7613
 DIST glycin-2.0.beta.3.tar.bz2 138164 BLAKE2B 
0da39ece6a720b38c2a573bced08995bd6c7189933371ecb8fcb7e37bcf8f84a4b02d0d79608926dd1d35397008f356d4b74c46f62e064cf7bfd7d5bd8781e15
 SHA512 
47cd9284e329cee2941f54e206e280f2c2a00926dc6065416a6f8110f6dd5e3847288580cade1cbfb7a78592c31d2387a0595006432ef25123b36297462d11db
+DIST glycin-2.0.rc-crates.tar.xz 26596628 BLAKE2B 
b970fc96a1fa52c631e0ff644039128ece0e7908522f96a7d793f8d2231e4b12bf295324a940eff8d7638157aa2c75351ebbda7c31af596d669289ce97aab1e6
 SHA512 
90789337dd4db20d829b1466be117163c8f66c2ff0a790d67446a59eb4aaed5f43609b49304099cffe8e0b7ac926077bf054f25e232c5ab60a2615cf0f81cea1
+DIST glycin-2.0.rc.tar.bz2 139334 BLAKE2B 
004bde06a16da0185efa47be404e1dbd287a7b7f39cdf15d9c48bac0c1cdc463dd5e075f7fc870f116257b17d3cd29df0b78b48f668370cf932bb59b3611fd19
 SHA512 
de12789f51c7d8415a0da3c2810a8eb0c6eceeea5664171e5ff3da9e34cb5e7d589e62487e409b6ef3c6359ba6e0e938785986ef7843d9a19c9b61e69fa5100a
 DIST glycin-test-images-704f16f7d8bf10c39c182dc0ca9ee9973d68f3b2.tar.bz2 
8236129 BLAKE2B 
5e98d7b78a5c8467b2b876a678bcca8e34033c1d12eedaaae19fe0879dade8ac4980ad2cc6b1974da729d710379485973857888e9d73458392b72a704f346b95
 SHA512 
2f42cb023639bb50d9ef072f8a996ddd650905b1631d4bb7d0e6e7c6fe8003272bc658c9dced8389d4b6b95a68eba9da4c9e5cf98daeb18398266788a26c95ed
+DIST glycin-test-images-7e1d59dc5f8ce18d75769d591f9af32fb26e47b6.tar.bz2 
8246039 BLAKE2B 
e53cbb56910b274e737810a7129b88191a8bc34ece0c8e6ffd888b59794aec2098ec42d1deafb112fa00183d6dd4bdcda7d1efb3f4feb062aeda1728191beeb4
 SHA512 
0b937910fd946ac69888756b6ee135536d8667eea6d9f66acd9dac105ab74a6e81f4f9f9c254b4f6d895a26bafb44a01c65c9ec384de6047352a2c7a0976e134

diff --git a/media-libs/glycin-loaders/glycin-loaders-2.0_rc.ebuild 
b/media-libs/glycin-loaders/glycin-loaders-2.0_rc.ebuild
new file mode 100644
index 000000000000..cf164cea4979
--- /dev/null
+++ b/media-libs/glycin-loaders/glycin-loaders-2.0_rc.ebuild
@@ -0,0 +1,109 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+RUST_MIN_VERSION=1.83.0
+
+inherit cargo meson
+
+MY_PV=${PV/_/.}
+MY_P=glycin-${MY_PV}
+TEST_IMAGE_COMMIT=7e1d59dc5f8ce18d75769d591f9af32fb26e47b6
+
+DESCRIPTION="Loaders for glycin clients (glycin crate or libglycin)"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/glycin/";
+# upstream release tarballs are useless, as upstream is deliberately
+# stripping glycin crate from them
+SRC_URI="
+       https://gitlab.gnome.org/GNOME/glycin/-/archive/${MY_PV}/${MY_P}.tar.bz2
+       
https://github.com/gentoo-crate-dist/glycin/releases/download/${MY_PV}/${MY_P}-crates.tar.xz
+       test? (
+               
https://gitlab.gnome.org/sophie-h/test-images/-/archive/${TEST_IMAGE_COMMIT}/test-images-${TEST_IMAGE_COMMIT}.tar.bz2
+                       -> glycin-test-images-${TEST_IMAGE_COMMIT}.tar.bz2
+       )
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="|| ( LGPL-2.1+ MPL-2.0 )"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD GPL-3+ IJG ISC
+       LGPL-3+ MIT Unicode-3.0
+       || ( LGPL-2.1+ MPL-2.0 )
+"
+SLOT="0"
+IUSE="heif jpeg2k jpegxl svg test"
+REQUIRED_USE="test? ( heif jpegxl )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-libs/glib-2.68.0:2
+       >=sys-libs/libseccomp-2.5.0
+       heif? ( >=media-libs/libheif-1.17.0:= )
+       jpegxl? ( >=media-libs/libjxl-0.11.0:= )
+       svg? (
+               >=gnome-base/librsvg-2.52.0:2
+               >=x11-libs/cairo-1.17.0
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               >=gui-libs/gtk-4.16.0:4
+               >=media-libs/lcms-2.14:2
+       )
+"
+BDEPEND="
+       test? (
+               sys-apps/bubblewrap
+               sys-apps/dbus
+       )
+"
+
+QA_FLAGS_IGNORED="usr/libexec/glycin-loaders/.*"
+
+src_unpack() {
+       cargo_src_unpack
+
+       if use test; then
+               mv "test-images-${TEST_IMAGE_COMMIT}"/* \
+                       "${S}/tests/test-images/" || die
+       fi
+}
+
+src_configure() {
+       local formats=(
+               $(usev heif glycin-heif)
+               $(usev jpeg2k glycin-jpeg2000)
+               $(usev jpegxl glycin-jxl)
+               $(usev svg glycin-svg)
+               glycin-image-rs
+       )
+       local formats_s=${formats[*]}
+       local emesonargs=(
+               -Dprofile=$(usex debug dev release)
+               -Dglycin-loaders=true
+               -Dloaders="${formats_s// /,}"
+               -Dtests=$(usex test true false)
+               -Dlibglycin=false
+               -Dlibglycin-gtk4=false
+               -Dglycin-thumbnailer=false
+
+               # TODO: figure out why it fails
+               # https://gitlab.gnome.org/GNOME/glycin/-/issues/167
+               -Dtest_skip_ext=heic
+       )
+
+       meson_src_configure
+       ln -s "${CARGO_HOME}" "${BUILD_DIR}/cargo-home" || die
+}
+
+src_test() {
+       # tests write to /proc/*/uid_map
+       # apparently, "addpredict /" in Portage breaks it
+       local -x SANDBOX_ON=0
+       meson_src_test
+}

Reply via email to